:root {
  --border-col: 0.5px solid rgba(173, 172, 172, 0.5);
  --menu-font: "Space Grotesk", sans-serif;
  --main-font: "Rubik", sans-serif;
}

* {
  box-sizing: border-box;
  margin: 0;
}

body {
  display: flex;
  align-items: center;
  flex-direction: column;
  font-family: var(--main-font);
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  height: max-content;
  overflow-x: hidden;
  width: 100%;
}

.vignette-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  box-shadow: inset 0 0 150px rgba(0, 51, 17, 0.2); 
  pointer-events: none;
  z-index: 9;
}

a:visited {
  color: #000000;
}

/* -----NAVIGATION----- */

.nav-wrapper {
  display: flex;
  flex-direction: row;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: 10;
}

.menu-wrapper {
  display: flex;
  justify-content: space-around;
  align-items: center;
  min-width: 85px;
  height: 100%;
  border-right: 0.7px solid black;
  backdrop-filter: blur(10px);
  writing-mode: sideways-lr;
  font-family: var(--menu-font);
}

.menu {
  text-decoration: none;
  position: relative;
  text-transform: uppercase;
  font-size: 13px;
}

.facebook::before {
  content: '';
  position: absolute;
  top: -20%;
  left: 50%;
  transform: translateX(-50%) scale(0);;
  height: 5px;
  width: 5px;
  border-radius: 50%;
  background-color: red;
  transition: all 500ms ease;
}

.facebook:hover::before {
  transform: scale(1) translateX(-50%);
}

.kontakt::before {
  content: '';
  position: absolute;
  bottom: -20%;
  left: 50%;
  transform: translateX(-50%) scale(0);;
  height: 5px;
  width: 5px;
  border-radius: 50%;
  background-color: red;
  transition: all 500ms ease;
}

.kontakt:hover::before {
  transform: scale(1) translateX(-50%);
}

.menu-wrapper:has(.menu:hover) .links-divider {
  scale: 0;
}

.links-divider {
  height: 5px;
  width: 5px;
  border-radius: 50%;
  background-color: black;
  transition: all 500ms ease;
}

.logo-wrapper {
  display: grid;
  place-items: center;
  border-bottom: 0.7px solid black;
  width: 100%;
  height: 85px;
  backdrop-filter: blur(10px);
}

.logo {
  height: 70px;
  width: 70px;
}

/*-----MAIN PAGE----- */

.main-page {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100vh;
  position: relative;
}

/* -----MAIN TITLE----- */

.title-wrapper {
  display: flex;
  flex-direction: column;
  text-align: center;
  position: absolute;
  top: 20%;
  left: 10%;
  color: #1a1a1a;
}

.main-title {
  font-size: clamp(1rem, 3vw, 6rem);
}

.title-wrapper > h2 {
  font-weight: 300;
  font-size: 16px;
}

/*-----MAIN IMAGE----- */

.image-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  bottom: 10vh;
  right: 10vh;
  height: 50vh;
  width: 50vw;
  padding: 20px;
  border: 1px solid black;
}

.main-image {
  display: block;
  height: 100%;
  width: 100%;
  object-fit: cover;
  z-index: -1;
}

.arrow {
  height: 100px;
  width: 100px;
  position: absolute;
  bottom: 20%;
  left: 15%;
}

/*-----INFO SECTION-----*/

.info {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
  width: 100%;
  height: 100dvh;
  position: relative;
}

.season {
  width: 100%;
  text-align: center;
  letter-spacing: 3px;
  text-transform: uppercase;
  font-weight: 500;
}

.table {
  display: grid;
  place-items: center;
  height: 500px;
  width: 800px;
  perspective: 1200px;
}

.table > table {
  text-align: center;
  padding: 20px;
  border-collapse: separate;
  border-spacing: 10px 10px;
  transform-origin: top left;
  transition: all 300ms ease-out;
}

tr td:nth-child(2) {
  text-align: start;
}

tbody tr:nth-child(14) td{
  border-bottom: 1px solid red;
  background-color: rgba(255, 0, 0, 0.05);
}